import data
curl --request POST \
--url https://api.royalti.io/auth/importdata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'accountingPeriod=<string>' \
--form 'salePeriod=<string>' \
--form 'royaltySource=<string>'import requests
url = "https://api.royalti.io/auth/importdata"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"accountingPeriod": "<string>",
"salePeriod": "<string>",
"royaltySource": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('accountingPeriod', '<string>');
form.append('salePeriod', '<string>');
form.append('royaltySource', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.royalti.io/auth/importdata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Platform data Uploaded Successfully and Dataset being processed"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Auth
import data
/auth/importdata
POST
/
auth
/
importdata
import data
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/auth/importdata Description:The
/auth/importdata endpoint allows users to import data by uploading a file, typically a CSV file containing relevant information. This endpoint is useful for importing data into the system for further processing or analysis.
Method:POST
Request Parameters:
| Parameter | Type | Description | Required |
|---|---|---|---|
| file | file | The CSV file to be uploaded. | Yes |
| accountingPeriod | string | The accounting period associated with the data (YYYY-MM-DD) | Yes |
| salePeriod | string | The sale period associated with the data (YYYY-MM-DD) | Yes |
| royaltySource | string | The source of royalties for the imported data | Yes |
See response example below
Code Examples
const response = await fetch('https://api.royalti.io/auth/importdata', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/auth/importdata',
headers={
'Authorization': f'Bearer {token}'
},
json={}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/auth/importdata \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
multipart/form-data
Response
Success
⌘I